<?php

namespace Planaday\Html\Parsers\DynamicDataParsers;

use Planaday\Utility\DependencyInjection\Attributes\DefaultImplementation;

#[DefaultImplementation( StdDynamicDataParser::class )]
interface DynamicDataParser {
	public function parseRaw(string $target, array|object &$data): mixed;
	public function parseForString(string $target, array|object &$data): null|string;
}